body {
  margin: 0;
  min-height: 100vh;
  display: grid;
  place-items: center;   /* centers everything */
  background-color: lightblue;
  font-family: "Playwrite AT", cursive;
}

.mainclass {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 30px;
}

.imageclass {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}

.myimage {
max-width: 100%;
height: auto;
}

h1 {
  display: flex;
  align-items: flex-end;  /* perfect vertical alignment */
  justify-content: center;
  gap: 10px;            /* spacing between text and icon */
  flex-wrap: wrap;      /* wraps nicely on smaller screens */
  text-align: center;
  margin-bottom: 10px;
  margin-top: 10px;
}

h2 {
display:flex;
align-items: center;  /* perfect vertical alignment */
  justify-content: center;
  gap: 10px;            /* spacing between text and icon */
  flex-wrap: wrap;      /* wraps nicely on smaller screens */
  text-align: center;
  margin-bottom: 10px;
  margin-top: 10px;
  height: 100px;
  line-height: 1;


}

h1 img {
  display: block;        /* removes the default inline gap underneath */
  vertical-align: bottom;
  margin: 0;
  padding: 0;
}
